Subject: reporting in on my new upgraded debian 1.1 beta installation

From: "James D. Freels" <[email-masked]>
Date: Mon, 3 Jun 96 14:03 EDT

I have recently upgraded my debian machine from 0.93R6 to 1.1 beta.
I am happy to report that everything, except one important piece, is
up and running and better than before!

I had a few minor problems which have been reported earlier and were
easily fixed:

1) /etc/crontab contained an incorrect entry 'atrun -d 0.5' which
   should have been 'atrun -d -l 0.5'.  This caused an endless loop
   of error messages to be mailed to root.

2) the /etc/X11/Xserver file incorrectly contained 'XF86_NONE' in the
   first line which should have been 'XF86_Mach64'.  This had the
   effect of not allowing X windows to start correctly.

3) emacs was upgraded to 19.30 (another major enhancement!).  when I
   upgraded to 19.29, I had the same problem, namely, emacs looks for
   the file /usr/lib/emacs/19.28/lisp/jka-compr.elc.  This problem
   is easily fixed by creating the sym-link 'ln -s 19.30 19.28' in the
   /usr/lib/emacs directory.  However, I wish this problem would
   either get fixed, or someone explain to me what I am doing wrong.

I also had one major problem that I felt should be corrected before a
major release is made.  I decided as part of this upgrade to upgrade
my kernel from 1.2.13 to 1.3.100 (I know I didn't have to).  I have a
PCI NCR SCSI card which is used for my boot disk.  The default kernel
from Debian did not recognize this card and I could not figure out how
to automatically load the modules (even if they existed) at boot time.
I had to use my 1.2.13 boot diskette to get my system back.  I fooled
around with /etc/modules and 'depmod -a -v' command to try and get
things running, but no luck.  Finally I installed 1.3.100 source and
rebuilt my kernel (there is an incredible level of improvement from 
1.2.13 to 1.3.100!!) without and loadable modules necessary.  Now my
system boots as I want.  Given this problem, I recommend a couple of
things:

 1) someone needs to write a layman's treatise on loadable modules 
    and how to go through a change as described above.  Some people
    are going to get burnt on this issue.

 2) an upgrade procedure should be written to allow for such upgrades 
    (loading the boot disk drivers as modules). 

I would love to do these things, but I'm not qualified.

Finally, I have a commercial license of NAG FORTRAN, which uses a.out
binaries and linkable libraries.  I can execute the compiler because I
have a.out executing enabled in my newly-complied kernel.  However, I
get unresolved references in the link step.  I suspect because if is
trying to link to the libc5 libraries and it needs the libc4.  I have
the old libc4 libraries loaded, but I don't know how to allow NAG
FORTRAN to link to them.  Can anyone help me here?

Also, I have a commercial Tecplot license which executes as a.out.  It
executes just fine and gives me the same results as the 0.93R6
installation.  

In summary, I am happy now and will be very happy if I can get NAG
FORTRAN to link.

-- 
/------------------------------------------------------------------\
| James D. Freels, P.E._i, Ph.D.  | Phone:  (423)576-8645  |   | L |
| Oak Ridge National Laboratory   | FAX:    (423)574-9172  | H | I |
| Research Reactors Division      | Internet: [email-masked] | F | N |
| P. O. Box 2008                  | Reactor Technology     | I | U |
| Oak Ridge, Tennessee 37831-6392 | world's best neutrons! | R | X |
|------------------------------------------------------------------|
| out the 10Base-T, through the router, down the T1, over the      |
| leased line, off the bridge, past the firewall...nothing but Net |
\------------------------------------------------------------------/

---

From: Derek Lee <[email-masked]>
Date: Mon, 03 Jun 1996 18:07:03 -0400

> FORTRAN to link to them.  Can anyone help me here?
Hi,

'ldd f77' should tell you it needs?

--Derek Lee

---

From: [email-masked]
Date: Mon, 3 Jun 96 18:10 EDT

James> 3) emacs was upgraded to 19.30 (another major enhancement!).  when I
  James> upgraded to 19.29, I had the same problem, namely, emacs looks for
  James> the file /usr/lib/emacs/19.28/lisp/jka-compr.elc.  This problem is
  James> easily fixed by creating the sym-link 'ln -s 19.30 19.28' in the
  James> /usr/lib/emacs directory.  However, I wish this problem would either
  James> get fixed, or someone explain to me what I am doing wrong.

Emacs sources /usr/lib/emacs/site-lisp/site-start.el, a file which specifies
site-specific preferences for modes that should be provided on startup.
Following good debian practice, this file is actually softlinked to the file
/etc/site-start.el under /etc.

Now, the loading path for jka-compr.elc contained, for whatever reason, the
absolute path into the emacs lisp directory which depends on the version of
emacs. When this was done, it was set to 19.28, and hasn't been fixed since. 
I had that first changed to
	(load "jka-compr")
which finds it's path automagically, and now, with 19.30, have
	(auto-compression-mode 1)     
which provides the same features.

--
Dirk Eddelb"uttel                             http://qed.econ.queensu.ca/~edd